<div class="company-position-dialog">
  <div class="container">
    <mat-toolbar>
      <span>{{companyPositionService.companyPositionForm.controls['$key']?.value ? "Edycja stanowiska" : "Dodawanie stanowiska"}}</span>
      <span class="fill-remaining-space"></span>
      <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
        <mat-icon matTooltip="Zamknij">clear</mat-icon>
      </button>
    </mat-toolbar>

    <form [formGroup]="companyPositionService.companyPositionForm" (submit)="onSubmit()">
      <div fxLayout="column">

        <mat-form-field>
          <input matInput formControlName="name" placeholder="Nazwa stanowiska" required>
          <mat-error>To pole jest wymagane.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <textarea matInput formControlName="description" placeholder="Krótki opis stanowiska"></textarea>
        </mat-form-field>

        <mat-radio-group formControlName="isManagerialPosition">
          <mat-label>Czy stanowisko kierownicze:</mat-label>
          <mat-radio-button value="true"
                            [checked]="companyPositionService.companyPositionForm.get('isManagerialPosition').value === true">
            Tak
          </mat-radio-button>
          <mat-radio-button value="false"
                            [checked]="companyPositionService.companyPositionForm.get('isManagerialPosition').value === false">
            Nie
          </mat-radio-button>
        </mat-radio-group>
      </div>

      <div class="button-row mt-1">
        <button mat-raised-button color="primary" type="submit" [disabled]="companyPositionService.companyPositionForm.invalid">
          Zapisz
        </button>
        <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
      </div>

    </form>
  </div>
</div>
